Imports System.Data
Imports System.Xml
Imports DAL

Partial Class RssFeed
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Response.ContentEncoding = System.Text.Encoding.UTF8
        Response.ContentType = "text/xml"

        Dim ds As DataSet = SqlHelper.ExecuteDataSet("select top 10 * from posts order by postdate desc")

        Dim writer As New XmlTextWriter(Response.OutputStream, System.Text.Encoding.ASCII)
        writer.WriteStartElement("rss")
        writer.WriteAttributeString("version", "2.0")
        writer.WriteStartElement("channel")
        writer.WriteElementString("title", "My Blog")
        writer.WriteElementString("link", "http://www.somedomain.com")
        writer.WriteElementString("description", "My Blog Description")
        writer.WriteElementString("copyright", "Copyright (C) your name here")
        writer.WriteElementString("generator", "My Blog RSS Generator")

        For Each row As DataRow In ds.Tables(0).Rows
            writer.WriteStartElement("item")
            writer.WriteElementString("title", row("title"))
            writer.WriteElementString("link", "http://www.yourdomain.com/showpost.aspx?id=" & row("id"))
            writer.WriteElementString("description", row("message"))
            writer.WriteElementString("pubDate", CType(row("postdate"), DateTime).ToString("dd MMM yyyy 12:00:00 G\MT"))
            writer.WriteEndElement()
        Next

        writer.WriteEndElement()
        writer.WriteEndElement()
        writer.Flush()
        Response.End()

    End Sub
End Class
